Важно Проблема с изменением меню в шаблоне Kinetic.

Больше
7 года 9 мес. назад - 7 года 9 мес. назад #11 от serge

GeKo пишет: ...только Апач версии 1.3 а они рекомендуют 2.2

Не понял, ПО сервака на данный момент полностью соответствует? если нет, то копайте в этом направлении. Если нужен apache 2.2, то это значит - необходим apache 2.2.

А я смогу! - А поглядим! - А я упрямый!
Последнее редактирование: 7 года 9 мес. назад пользователем serge.
Спасибо сказали: GeKo

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #12 от GeKo
www.gantry-framework.org/documentation/j.../system-requirements вот тут написано что Apache 1.3 (2.2+ recommended). так что вроде и на 1.3 будет кавылять. Да и к тому же как я смогу апач обновить если хостинг не мой. Они же его не будут обновлять.
Все облазил, все в принципе работает, кроме изменений пунктов меню. И Гантри работает.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #13 от Aleksej

GeKo пишет: как я смогу апач обновить если хостинг не мой. Они же его не будут обновлять.

Здесь как раз нет никаких проблем.

У руцентра не один сервер, и не пять. По первому же вашему слову, дескать - установленное расширение joomla требует более нового ПО - ваш аккаунт перебросят на другой сервер.

Разумеется, гарантии дать я вам здесь не могу... хвала всевышнему, не имею дел с руцентром, да и с русскими хостингами стараюсь не связываться... но из прошлого опыта - такого рода проблемы решаются очень просто, без всяких споров и трений.

У многих ведь сайты работают с незапамятных времен, и им вполне хватает старого ПО. Порой это даже является необходимостью. Именно потому и держат хостеры старые версии апачей и проч. Но перебраться на новый сервер не проблема.

Тем не менее - я все-таки многого не понимаю. Если данный шаблон, как вы утверждаете, честно приобретен - разраб никогда не откажет вам в помощи. Почему не пообщаться с ним на тему произошедшей коллизии?

Насколько помню, на сайте разработчика доступны две версии этого шаблона - под J1.5 и J1.7. Я не знаю условий продажи, но если вы приобрели этот template под 1.7 - это произошло совсем недавно, и поддержка должна быть. А если вы пытаетесь водрузить старый шаблон под J1.5 на новую Joomla 1.7.2 - ну, тогда даже и не знаю. :)

Вы уверены, что работаете именно с новой версией шаблона?

Есть и более сложный путь. Вот мне hubbitus рекомендует здесь следующее - под отладчиком сайт запустить да посмотреть какие покажет ошибки. Дла начала - начать с вывода всех jib,rj. И посмотреть в той строке - куда варнинг ведет. Здесь можно воспользоваться открытым xdebug (xdebug.org).
Спасибо сказали: GeKo

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад - 7 года 9 мес. назад #14 от GeKo
Если считаете что есть в этом нужда то напишу им что бы или перебросили или обновили.
А какой щас хостинг хороший?

А вот тут все просто. Купить то я его честно купил. Но там же не покупка как такового шаблона, а оплата доступа. Мой оплаченный доступ закончился 14 октября. Я уже там пытался ползать. Куда надо не пускает и предлагает продлить подписку.

Про версию шаблона. Когда я его покупал то у них был под 1.5 и 1.6, вот 1.6 и скачал.

Сейчас попробую.

Написал в поддержку руцентра.
Вот ответ:
Здравствуйте.

Для диагностики проблемы рекомендуем включить отображение ошибок для модуля PHP.

Включить отображение ошибок для модуля PHP Вы можете через панель управления хостингом:
- авторизуйтесь в панели управления, используя Ваш номер договора и пароль;
- перейдите в раздел "Веб-сервер" -> "Управление модулями";
- нажмите на название используемой Вами версии PHP;
- напротив параметра "Все предупреждения и ошибки E_ALL" выберите "Да" и сохраните изменения.

включил, никаких ошибок не увидел.
Последнее редактирование: 7 года 9 мес. назад пользователем Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад - 7 года 9 мес. назад #15 от Aleksej

GeKo пишет: Если считаете что есть в этом нужда...

Нет, не так. У меня нет оснований, чтобы составить то или иное мнение. Будем считать, что я не считаю ничего; я лишь указываю вам на различные несоответствия в той инфе, что получаю от вас.

Неслабый материал для раздумий, в частности, способен дать предлагаемый hubbitus-ом эксперимент, о котором написано выше. Если решите пойти по этому пути - можете попробовать спросить у него подробностей (в личку, так как он не подписан на данную тему).

Но... вы пытаетесь заставить заработать расширение, написанное совершенно под иную версию cms. Бывает, что екстеншен под J1.6 работает под J1.7; а бывает - что и нет.

И выясняется это обстоятельство лишь на третий день обсуждения. Это некритично, на ваш взгляд? Решили опустить эту малозначащую подробность, типа проканает? :)

Логика здесь такова - вам нужно либо упорядочить свои отношения с разрабом... либо скачать уж где-нить шаблон под ту платформу, которую используете. И после этого начинать по порядку разбираться с проблемами. Все другие пути обойдутся вам гораздо дороже; если проблема и вправду в старом шаблоне - никто на форумах не будет вам его бесплатно подгонять под Joomla 1.7.
Последнее редактирование: 7 года 9 мес. назад пользователем Aleksej.
Спасибо сказали: GeKo

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #16 от GeKo
Я не думал ничего утаивать. Не додумался сразу написать факт. Извините.
Отключил модуль eAccelerator и вроде все заработало. Спасибо за помощь, извините за тупость.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #17 от GeKo
Здравствуйте снова.
Все работает в принципе. Написал письмо что бы перевели на новое ПО(пока не ответили).
Наверно из шаблона не работают расширения. А так он вполне рабочий.
Но конечно есть проблемы.
Создал я материал с отображением лент новостей из категории.
Все работает. Пытаюсь настроить вид и перестает отображаться содержимое лент. Открывается страница без новостей. И еще хочется убрать слово Фильтр со страницы с списком лент. Все остальное убрал уже.
А еще маленькая просьба-вопрос. В Joomla 1.7 нету стандартного модуля для опросов? Так думаю потому что не нашел. И можете какой нибудь самый простой и качественный посоветовать?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #18 от Aleksej

GeKo пишет: Все работает в принципе. Написал письмо что бы перевели на новое ПО(пока не ответили).
Наверно из шаблона не работают расширения. А так он вполне рабочий.
Но конечно есть проблемы.

Признаться, плохо вас понимаю.... заставили вспомнить старый сугубо расейский анекдот про "пенсию, которая маленькая, но все равно хорошая."
:laugh:

Чего ж хорошего-то, если что-то у вас не работает?

Я бы пошел по иному пути. Наличие проблем выясняется посредством запуска сайта под отладчиком, как было описано выше. Здесь есть возможность выявить практически все траблы - как явные, так и скрытые, не проявляющие себя так уж повседневно.

Есть и второй путь. Сделайте себе тестовый сайт, скачайте где-нибудь последнюю версию этого шаблона, поставьте и сравните результаты. Уж не будем ханжами, вы ведь всяко купили этот template... Если результаты будут отличными от ваших сегодняшних - не нужно мудрить, а нужен новый шаблон. Пиратский или честный - решайте сами.

Поймите правильно, вы ломаете себе голову над проблемами, которые, возможно, уже давно решены разработчиком этого расширения. Что есть сугубо потеря времени.

Что касается компонента опроса - здесь дело вкуса. И - преследуемых вами целей... Мне, скажем, нравится aPoll; но существует и длинный ряд других. Взгляните работу aPoll на родном сайте, там есть демо.

P.S. Почему бы не спросить разраба, критично ли отличие двух версий шаблона в контексте joomla 1.7? Несмотря на просроченную лицензию. Скорее всего - вам непременно ответят, разрабы тоже люди. Несмотря на некоторые свои особенности... ;)
Спасибо сказали: GeKo

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #19 от GeKo
Про шаблон конечно согласен и в ближайшее время опять его куплю.

За совет aPoll спасибо. Воспользуюсь.

А по поводу не отображения новостей? Они просто пропадают и обратно не возвращаются.
И слово фильтр как убрать? Это же не от шаблона зависит.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
7 года 9 мес. назад #20 от GeKo
aPoll не пошел просто, воспользовался Nice Ajax Poll. Все заработало с первого тыка.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.